Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973101 - API allows creating alert with condition type with incorrect measurementDefinitionID
API allows creating alert with condition type with incorrect measurementDefin...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.9
Assigned To: Heiko W. Rupp
Mike Foley
:
: 973102 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 05:45 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:32:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-06-11 05:45:20 EDT
Description of problem: 

I did a mistake when writing my tests, and I was sending scheduleId instead of measurementDefinitionId when creating alert with condition where measurementDef is required.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. do POST /rest/alert/definitions?resourceId=10001
with body

{"dampeningCategory": "NONE", "conditions": [{"category": "BASELINE", "threshold": "0.2", "measurementDefinition": <MID>, "option": "max", "comparator": "<"}], "conditionMode": "ALL", "enabled": true, "name": "rest-condition-incorrect-mdef"}

where <MID> is measurementDefinnitionId valid ID, but not related to 10001's resource type (it's measurementDef for different resource type)


Actual results: alert with such condition is created -it's invalid and such alert would never get triggered


Expected results: server must reject condition with such measurementDefId


Additional info:
Comment 1 Heiko W. Rupp 2013-09-02 12:06:19 EDT
*** Bug 973102 has been marked as a duplicate of this bug. ***
Comment 2 Heiko W. Rupp 2013-09-03 06:29:20 EDT
master 399d058
Comment 3 Heiko W. Rupp 2014-03-26 04:32:01 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.